> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/workspace/calendar/api/v3/reference/events/quickAdd#auth).

Creates an event based on a simple text string.
[Try it now](https://developers.google.com/workspace/calendar/api/v3/reference/events/quickAdd#try-it).

## Request

### HTTP request

```
POST https://www.googleapis.com/calendar/v3/calendars/calendarId/events/quickAdd
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `calendarId` | `string` | Calendar identifier. To retrieve calendar IDs call the [calendarList.list](https://developers.google.com/workspace/calendar/api/v3/reference/calendarList/list) method. If you want to access the primary calendar of the currently logged in user, use the "`primary`" keyword. |
| **Required query parameters** |||
| `text` | `string` | The text describing the event to be created. |
| **Optional query parameters** |||
| `sendNotifications` | `boolean` | Deprecated. Please use [sendUpdates](https://developers.google.com/workspace/calendar/api/v3/reference/events/quickAdd#sendUpdates) instead. Whether to send notifications about the creation of the event. Note that some emails might still be sent even if you set the value to `false`. The default is `false`. |
| `sendUpdates` | `string` | Guests who should receive notifications about the creation of the new event. <br /> <br /> Acceptable values are: - "`all`": Notifications are sent to all guests. - "`externalOnly`": Notifications are sent to non-Google Calendar guests only. - "`none`": No notifications are sent. For calendar migration tasks, consider using the [Events.import](https://developers.google.com/workspace/calendar/api/v3/reference/events/import) method instead. |

### Authorization

This request requires authorization with at least one of the following scopes:

| Scope |
|---|
| `https://www.googleapis.com/auth/calendar` |
| `https://www.googleapis.com/auth/calendar.events` |
| `https://www.googleapis.com/auth/calendar.app.created` |
| `https://www.googleapis.com/auth/calendar.events.owned` |

For more information, see the [authentication and authorization](https://developers.google.com/workspace/guides/configure-oauth-consent) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an [Events resource](https://developers.google.com/workspace/calendar/api/v3/reference/events#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.